This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 252159 - Inkscape cannot render certain LaTeX formulas
Inkscape cannot render certain LaTeX formulas
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 07:40 EDT by Paul Smith
Modified: 2009-01-07 13:09 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.46-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Smith 2007-08-14 07:40:02 EDT
Inkscape can render correctly the formula

$\pi$

(Effects --> Render --> LaTeX formula).

However, the formula 

$a^2$

and many others cannot be rendered.

Paul
Comment 1 Lubomir Kundrak 2007-12-02 06:38:02 EST
Paul: I completely don't know what's the proper way of entering the math
formulas, but \(a^2\) worked for me.
Comment 2 Lubomir Kundrak 2007-12-02 07:03:25 EST
Soo, it seems that inkscape lets shell expand the formula before passing to
LaTeX. In most cases it just expands a nonexistent variable ($a in your case)
into blanks, thus effectively discarding the math-mode opening "$" sign.

For a proof, try entering $PATH or $(hostname)

I'll open a bug upstream shortly.
Comment 3 Lubomir Kundrak 2007-12-02 07:05:01 EST
Found an upstream bug.

https://bugs.launchpad.net/inkscape/+bug/169045
Comment 4 Lubomir Kundrak 2007-12-02 07:15:10 EST
The way to call extension changed a lot, so there's no simple fix available.
However, there is a workaround -- prepend each $ sign with a backslash:

\$a^\$

The issue will be fixed in next upstream release, but there are little chance of
fixing our current package. Paul, would you mind if I closed the report with
"WONTFIX"?
Comment 5 Paul Smith 2007-12-02 10:55:08 EST
(In reply to comment #4)
> The way to call extension changed a lot, so there's no simple fix available.
> However, there is a workaround -- prepend each $ sign with a backslash:
> 
> \$a^\$
> 
> The issue will be fixed in next upstream release, but there are little chance of
> fixing our current package. Paul, would you mind if I closed the report with
> "WONTFIX"?

Thanks, Lubomir. Now, I do not have F7, but F8, and when I try your example
(\$a^\$), I get the following error:

"The inkex.py module requires PyXML. Please download the latest version from
<http://pyxml.sourceforge.net/>."

Paul


Comment 6 Paul Smith 2007-12-02 11:04:24 EST
I have just installed PyXML and it works almost completely, as still getting:

pstoedit: version 3.45 / DLL interface 108 (build Sep 24 2007 - release build -
g++ 4.1.2 20070821 (Red Hat 4.1.2-26)) : Copyright (C) 1993 - 2007 Wolfgang Glunz

However, with '\$a^\$', I do get a^2 as expected.

I think PyXML should be added to Inkscape list of dependencies.

Paul
Comment 7 Lubomir Kundrak 2007-12-02 11:11:04 EST
Paul, yes, this is a known issue, see bug #301881.

Installing PyXML indeed fixes the issue. Package inkscape-0.45.1-4.fc8 fixes
this issue among other things and if everything goes well (I replaced the print
dialog with GTK one in that version) it will hit stable in a week. You can find
the build here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=26384
Comment 8 Paul Smith 2007-12-02 11:19:51 EST
Thanks, Lubomir, for your help. Answering now your previous question, I think
you can close the bug with "WONTFIX".

Paul
Comment 9 Fedora Update System 2008-04-05 18:11:09 EDT
inkscape-0.46-2.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-04-22 18:42:40 EDT
inkscape-0.46-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Paul Smith 2008-04-25 14:46:14 EDT
Works fine now. Thanks for having fixed it.

Paul
Comment 12 Lubomir Kundrak 2008-04-25 16:50:48 EDT
(In reply to comment #11)
> Works fine now. Thanks for having fixed it.

Paul: No problem. By the way -- this kind of input would have been much more
useful before the package was pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.